<table class="table table-scrollable" style="">
    <thead>
    <tr>
        <th (click)="sort(aircraftKeys.name)" title="{{aircraftKeys.name}}">{{aircraftTitle.name}}</th>
        <th (click)="sort(aircraftKeys.distance)" title="{{aircraftKeys.distance}}">{{aircraftTitle.distance}}</th>
        <th (click)="sort(aircraftKeys.seatCount)" title="{{aircraftKeys.seatCount}}">{{aircraftTitle.seatCount}}</th>
        <th (click)="sort(aircraftKeys.maxSeatCount)" title="{{aircraftKeys.maxSeatCount}}">{{aircraftTitle.maxSeatCount}}</th>
        <th (click)="sort(aircraftKeys.length)" title="{{aircraftKeys.length}}">{{aircraftTitle.length}}</th>
        <th (click)="sort(aircraftKeys.wingSpan)" title="{{aircraftKeys.wingSpan}}">{{aircraftTitle.wingSpan}}</th>
        <th (click)="sort(aircraftKeys.height)" title="{{aircraftKeys.height}}">{{aircraftTitle.height}}</th>
        <th (click)="sort(aircraftKeys.consumption)" title="{{aircraftKeys.consumption}}">{{aircraftTitle.consumption}}</th>
        <th (click)="sort(aircraftKeys.flare)" title="{{aircraftKeys.flare}}">{{aircraftTitle.flare}}</th>
        <th (click)="sort(aircraftKeys.airRefueling)" title="{{aircraftKeys.airRefueling}}">{{aircraftTitle.airRefueling}}</th>
        <th>
            <button role="button" class="button is-success is-small is-fullwidth btn-iconed" (click)="openCreateModal()">
                <i class="fa fa-plus"></i> <span class="spn">{{dictionary.create}}</span>
            </button>
        </th>
    </tr>
    </thead>
    <tfoot>

    </tfoot>
    <tbody *ngFor="let aircraft of militaryAircrafts">
    <tr>
        <th> {{ aircraft.name }} {{ unitExtension.name }}</th>
        <th> {{ aircraft.distance }} {{ unitExtension.distance }}</th>
        <th> {{ aircraft.seatCount }} {{ unitExtension.seatCount}}</th>
        <th> {{ aircraft.maxSeatCount }} {{ unitExtension.maxSeatCount}}</th>
        <th> {{ aircraft.length }} {{ unitExtension.length}}</th>
        <th> {{ aircraft.wingSpan }} {{ unitExtension.wingSpan}}</th>
        <th> {{ aircraft.height }} {{ unitExtension.height}}</th>
        <th> {{ aircraft.consumption }} {{ unitExtension.consumption}}</th>
        <th [innerHtml]="designClass.check(aircraft, aircraftKeys.flare)"> {{ aircraft.flare}} </th>
        <th [innerHtml]="designClass.check(aircraft, aircraftKeys.airRefueling)"> {{ aircraft.airRefueling}} </th>
        <th><a class="button is-warning is-small" (click)="openEditModal(aircraft)"><i class="fa fa-edit"></i></a>
            <a (click)="delete(aircraft.id)" class="button is-danger is-small"><i class="fa fa-trash"></i></a></th>
    </tr>
    </tbody>
</table>
